   1                     ; C Compiler for STM8 (COSMIC Software)
   2                     ; Parser V4.9.2 - 29 Jun 2010
   3                     ; Generator V4.3.5 - 02 Jul 2010
  43                     ; 43 void SPI_DeInit(void)
  43                     ; 44 {
  45                     	switch	.text
  46  0000               _SPI_DeInit:
  50                     ; 45     SPI->CR1    = SPI_CR1_RESET_VALUE;
  52  0000 725f5200      	clr	20992
  53                     ; 46     SPI->CR2    = SPI_CR2_RESET_VALUE;
  55  0004 725f5201      	clr	20993
  56                     ; 47     SPI->ICR    = SPI_ICR_RESET_VALUE;
  58  0008 725f5202      	clr	20994
  59                     ; 48     SPI->SR     = SPI_SR_RESET_VALUE;
  61  000c 35025203      	mov	20995,#2
  62                     ; 49     SPI->CRCPR  = SPI_CRCPR_RESET_VALUE;
  64  0010 35075205      	mov	20997,#7
  65                     ; 50 }
  68  0014 81            	ret
 384                     ; 65 void SPI_Init(SPI_FirstBit_TypeDef FirstBit, SPI_BaudRatePrescaler_TypeDef BaudRatePrescaler, SPI_Mode_TypeDef Mode, SPI_ClockPolarity_TypeDef ClockPolarity, SPI_ClockPhase_TypeDef ClockPhase, SPI_DataDirection_TypeDef Data_Direction, SPI_NSS_TypeDef Slave_Management, u8 CRCPolynomial)
 384                     ; 66 {
 385                     	switch	.text
 386  0015               _SPI_Init:
 388  0015 89            	pushw	x
 389       00000000      OFST:	set	0
 392                     ; 68     assert_param(IS_SPI_FIRSTBIT_OK(FirstBit));
 394                     ; 69     assert_param(IS_SPI_BAUDRATE_PRESCALER_OK(BaudRatePrescaler));
 396                     ; 70     assert_param(IS_SPI_MODE_OK(Mode));
 398                     ; 71     assert_param(IS_SPI_POLARITY_OK(ClockPolarity));
 400                     ; 72     assert_param(IS_SPI_PHASE_OK(ClockPhase));
 402                     ; 73     assert_param(IS_SPI_DATA_DIRECTION_OK(Data_Direction));
 404                     ; 74     assert_param(IS_SPI_SLAVEMANAGEMENT_OK(Slave_Management));
 406                     ; 75     assert_param(IS_SPI_CRC_POLYNOMIAL_OK(CRCPolynomial));
 408                     ; 78     SPI->CR1 = (u8)((u8)(FirstBit) |
 408                     ; 79                     (u8)(BaudRatePrescaler) |
 408                     ; 80                     (u8)(ClockPolarity) |
 408                     ; 81                     (u8)(ClockPhase));
 410  0016 9f            	ld	a,xl
 411  0017 1a01          	or	a,(OFST+1,sp)
 412  0019 1a06          	or	a,(OFST+6,sp)
 413  001b 1a07          	or	a,(OFST+7,sp)
 414  001d c75200        	ld	20992,a
 415                     ; 84     SPI->CR2 = (u8)((u8)(Data_Direction) | (u8)(Slave_Management));
 417  0020 7b08          	ld	a,(OFST+8,sp)
 418  0022 1a09          	or	a,(OFST+9,sp)
 419  0024 c75201        	ld	20993,a
 420                     ; 86     if (Mode == SPI_MODE_MASTER)
 422  0027 7b05          	ld	a,(OFST+5,sp)
 423  0029 a104          	cp	a,#4
 424  002b 2606          	jrne	L302
 425                     ; 88         SPI->CR2 |= (u8)SPI_CR2_SSI;
 427  002d 72105201      	bset	20993,#0
 429  0031 2004          	jra	L502
 430  0033               L302:
 431                     ; 92         SPI->CR2 &= (u8)~(SPI_CR2_SSI);
 433  0033 72115201      	bres	20993,#0
 434  0037               L502:
 435                     ; 96     SPI->CR1 |= (u8)(Mode);
 437  0037 c65200        	ld	a,20992
 438  003a 1a05          	or	a,(OFST+5,sp)
 439  003c c75200        	ld	20992,a
 440                     ; 99     SPI->CRCPR = (u8)CRCPolynomial;
 442  003f 7b0a          	ld	a,(OFST+10,sp)
 443  0041 c75205        	ld	20997,a
 444                     ; 100 }
 447  0044 85            	popw	x
 448  0045 81            	ret
 503                     ; 111 void SPI_Cmd(FunctionalState NewState)
 503                     ; 112 {
 504                     	switch	.text
 505  0046               _SPI_Cmd:
 509                     ; 114     assert_param(IS_FUNCTIONALSTATE_OK(NewState));
 511                     ; 116     if (NewState != DISABLE)
 513  0046 4d            	tnz	a
 514  0047 2706          	jreq	L532
 515                     ; 118         SPI->CR1 |= SPI_CR1_SPE; /* Enable the SPI peripheral*/
 517  0049 721c5200      	bset	20992,#6
 519  004d 2004          	jra	L732
 520  004f               L532:
 521                     ; 122         SPI->CR1 &= (u8)(~SPI_CR1_SPE); /* Disable the SPI peripheral*/
 523  004f 721d5200      	bres	20992,#6
 524  0053               L732:
 525                     ; 124 }
 528  0053 81            	ret
 637                     ; 135 void SPI_ITConfig(SPI_IT_TypeDef SPI_IT, FunctionalState NewState)
 637                     ; 136 {
 638                     	switch	.text
 639  0054               _SPI_ITConfig:
 641  0054 89            	pushw	x
 642  0055 88            	push	a
 643       00000001      OFST:	set	1
 646                     ; 137     u8 itpos = 0;
 648                     ; 139     assert_param(IS_SPI_CONFIG_IT_OK(SPI_IT));
 650                     ; 140     assert_param(IS_FUNCTIONALSTATE_OK(NewState));
 652                     ; 143     itpos = (u8)((u8)1 << (u8)((u8)SPI_IT & (u8)0x0F));
 654  0056 9e            	ld	a,xh
 655  0057 a40f          	and	a,#15
 656  0059 5f            	clrw	x
 657  005a 97            	ld	xl,a
 658  005b a601          	ld	a,#1
 659  005d 5d            	tnzw	x
 660  005e 2704          	jreq	L41
 661  0060               L61:
 662  0060 48            	sll	a
 663  0061 5a            	decw	x
 664  0062 26fc          	jrne	L61
 665  0064               L41:
 666  0064 6b01          	ld	(OFST+0,sp),a
 667                     ; 145     if (NewState != DISABLE)
 669  0066 0d03          	tnz	(OFST+2,sp)
 670  0068 270a          	jreq	L113
 671                     ; 147         SPI->ICR |= itpos; /* Enable interrupt*/
 673  006a c65202        	ld	a,20994
 674  006d 1a01          	or	a,(OFST+0,sp)
 675  006f c75202        	ld	20994,a
 677  0072 2009          	jra	L313
 678  0074               L113:
 679                     ; 151         SPI->ICR &= (u8)(~itpos); /* Disable interrupt*/
 681  0074 7b01          	ld	a,(OFST+0,sp)
 682  0076 43            	cpl	a
 683  0077 c45202        	and	a,20994
 684  007a c75202        	ld	20994,a
 685  007d               L313:
 686                     ; 153 }
 689  007d 5b03          	addw	sp,#3
 690  007f 81            	ret
 724                     ; 160 void SPI_SendData(u8 Data)
 724                     ; 161 {
 725                     	switch	.text
 726  0080               _SPI_SendData:
 730                     ; 162     SPI->DR = Data; /* Write in the DR register the data to be sent*/
 732  0080 c75204        	ld	20996,a
 733                     ; 163 }
 736  0083 81            	ret
 759                     ; 171 u8 SPI_ReceiveData(void)
 759                     ; 172 {
 760                     	switch	.text
 761  0084               _SPI_ReceiveData:
 765                     ; 173     return ((u8)SPI->DR); /* Return the data in the DR register*/
 767  0084 c65204        	ld	a,20996
 770  0087 81            	ret
 806                     ; 185 void SPI_NSSInternalSoftwareCmd(FunctionalState NewState)
 806                     ; 186 {
 807                     	switch	.text
 808  0088               _SPI_NSSInternalSoftwareCmd:
 812                     ; 188     assert_param(IS_FUNCTIONALSTATE_OK(NewState));
 814                     ; 190     if (NewState != DISABLE)
 816  0088 4d            	tnz	a
 817  0089 2706          	jreq	L163
 818                     ; 192         SPI->CR2 |= SPI_CR2_SSI; /* Set NSS pin internally by software*/
 820  008b 72105201      	bset	20993,#0
 822  008f 2004          	jra	L363
 823  0091               L163:
 824                     ; 196         SPI->CR2 &= (u8)(~SPI_CR2_SSI); /* Reset NSS pin internally by software*/
 826  0091 72115201      	bres	20993,#0
 827  0095               L363:
 828                     ; 198 }
 831  0095 81            	ret
 854                     ; 207 void SPI_TransmitCRC(void)
 854                     ; 208 {
 855                     	switch	.text
 856  0096               _SPI_TransmitCRC:
 860                     ; 209     SPI->CR2 |= SPI_CR2_CRCNEXT; /* Enable the CRC transmission*/
 862  0096 72185201      	bset	20993,#4
 863                     ; 210 }
 866  009a 81            	ret
 903                     ; 221 void SPI_CalculateCRCCmd(FunctionalState NewState)
 903                     ; 222 {
 904                     	switch	.text
 905  009b               _SPI_CalculateCRCCmd:
 907  009b 88            	push	a
 908       00000000      OFST:	set	0
 911                     ; 224     assert_param(IS_FUNCTIONALSTATE_OK(NewState));
 913                     ; 227     SPI_Cmd(DISABLE);
 915  009c 4f            	clr	a
 916  009d ada7          	call	_SPI_Cmd
 918                     ; 229     if (NewState != DISABLE)
 920  009f 0d01          	tnz	(OFST+1,sp)
 921  00a1 2706          	jreq	L314
 922                     ; 231         SPI->CR2 |= SPI_CR2_CRCEN; /* Enable the CRC calculation*/
 924  00a3 721a5201      	bset	20993,#5
 926  00a7 2004          	jra	L514
 927  00a9               L314:
 928                     ; 235         SPI->CR2 &= (u8)(~SPI_CR2_CRCEN); /* Disable the CRC calculation*/
 930  00a9 721b5201      	bres	20993,#5
 931  00ad               L514:
 932                     ; 237 }
 935  00ad 84            	pop	a
 936  00ae 81            	ret
1000                     ; 244 u8 SPI_GetCRC(SPI_CRC_TypeDef SPI_CRC)
1000                     ; 245 {
1001                     	switch	.text
1002  00af               _SPI_GetCRC:
1004  00af 88            	push	a
1005       00000001      OFST:	set	1
1008                     ; 246     u8 crcreg = 0;
1010                     ; 249     assert_param(IS_SPI_CRC_OK(SPI_CRC));
1012                     ; 251     if (SPI_CRC != SPI_CRC_RX)
1014  00b0 4d            	tnz	a
1015  00b1 2707          	jreq	L154
1016                     ; 253         crcreg = SPI->TXCRCR;  /* Get the Tx CRC register*/
1018  00b3 c65207        	ld	a,20999
1019  00b6 6b01          	ld	(OFST+0,sp),a
1021  00b8 2005          	jra	L354
1022  00ba               L154:
1023                     ; 257         crcreg = SPI->RXCRCR; /* Get the Rx CRC register*/
1025  00ba c65206        	ld	a,20998
1026  00bd 6b01          	ld	(OFST+0,sp),a
1027  00bf               L354:
1028                     ; 261     return crcreg;
1030  00bf 7b01          	ld	a,(OFST+0,sp)
1033  00c1 5b01          	addw	sp,#1
1034  00c3 81            	ret
1059                     ; 271 void SPI_ResetCRC(void)
1059                     ; 272 {
1060                     	switch	.text
1061  00c4               _SPI_ResetCRC:
1065                     ; 275     SPI_CalculateCRCCmd(ENABLE);
1067  00c4 a601          	ld	a,#1
1068  00c6 add3          	call	_SPI_CalculateCRCCmd
1070                     ; 278     SPI_Cmd(ENABLE);
1072  00c8 a601          	ld	a,#1
1073  00ca cd0046        	call	_SPI_Cmd
1075                     ; 279 }
1078  00cd 81            	ret
1102                     ; 287 u8 SPI_GetCRCPolynomial(void)
1102                     ; 288 {
1103                     	switch	.text
1104  00ce               _SPI_GetCRCPolynomial:
1108                     ; 289     return SPI->CRCPR; /* Return the CRC polynomial register */
1110  00ce c65205        	ld	a,20997
1113  00d1 81            	ret
1169                     ; 298 void SPI_BiDirectionalLineConfig(SPI_Direction_TypeDef SPI_Direction)
1169                     ; 299 {
1170                     	switch	.text
1171  00d2               _SPI_BiDirectionalLineConfig:
1175                     ; 301     assert_param(IS_SPI_DIRECTION_OK(SPI_Direction));
1177                     ; 303     if (SPI_Direction != SPI_DIRECTION_RX)
1179  00d2 4d            	tnz	a
1180  00d3 2706          	jreq	L325
1181                     ; 305         SPI->CR2 |= SPI_CR2_BDOE; /* Set the Tx only mode*/
1183  00d5 721c5201      	bset	20993,#6
1185  00d9 2004          	jra	L525
1186  00db               L325:
1187                     ; 309         SPI->CR2 &= (u8)(~SPI_CR2_BDOE); /* Set the Rx only mode*/
1189  00db 721d5201      	bres	20993,#6
1190  00df               L525:
1191                     ; 311 }
1194  00df 81            	ret
1315                     ; 321 FlagStatus SPI_GetFlagStatus(SPI_Flag_TypeDef SPI_FLAG)
1315                     ; 322 {
1316                     	switch	.text
1317  00e0               _SPI_GetFlagStatus:
1319  00e0 88            	push	a
1320       00000001      OFST:	set	1
1323                     ; 323     FlagStatus status = RESET;
1325                     ; 325     assert_param(IS_SPI_FLAGS_OK(SPI_FLAG));
1327                     ; 328     if ((SPI->SR & (u8)SPI_FLAG) != (u8)RESET)
1329  00e1 c45203        	and	a,20995
1330  00e4 2706          	jreq	L306
1331                     ; 330         status = SET; /* SPI_FLAG is set */
1333  00e6 a601          	ld	a,#1
1334  00e8 6b01          	ld	(OFST+0,sp),a
1336  00ea 2002          	jra	L506
1337  00ec               L306:
1338                     ; 334         status = RESET; /* SPI_FLAG is reset*/
1340  00ec 0f01          	clr	(OFST+0,sp)
1341  00ee               L506:
1342                     ; 338     return status;
1344  00ee 7b01          	ld	a,(OFST+0,sp)
1347  00f0 5b01          	addw	sp,#1
1348  00f2 81            	ret
1383                     ; 357 void SPI_ClearFlag(SPI_Flag_TypeDef SPI_FLAG)
1383                     ; 358 {
1384                     	switch	.text
1385  00f3               _SPI_ClearFlag:
1389                     ; 359     assert_param(IS_SPI_CLEAR_FLAGS_OK(SPI_FLAG));
1391                     ; 361     SPI->SR = (u8)(~SPI_FLAG);
1393  00f3 43            	cpl	a
1394  00f4 c75203        	ld	20995,a
1395                     ; 362 }
1398  00f7 81            	ret
1480                     ; 377 ITStatus SPI_GetITStatus(SPI_IT_TypeDef SPI_IT)
1480                     ; 378 {
1481                     	switch	.text
1482  00f8               _SPI_GetITStatus:
1484  00f8 88            	push	a
1485  00f9 89            	pushw	x
1486       00000002      OFST:	set	2
1489                     ; 379     ITStatus pendingbitstatus = RESET;
1491                     ; 380     u8 itpos = 0;
1493                     ; 381     u8 itmask1 = 0;
1495                     ; 382     u8 itmask2 = 0;
1497                     ; 383     u8 enablestatus = 0;
1499                     ; 384     assert_param(IS_SPI_GET_IT_OK(SPI_IT));
1501                     ; 386     itpos = (u8)((u8)1 << ((u8)SPI_IT & (u8)0x0F));
1503  00fa a40f          	and	a,#15
1504  00fc 5f            	clrw	x
1505  00fd 97            	ld	xl,a
1506  00fe a601          	ld	a,#1
1507  0100 5d            	tnzw	x
1508  0101 2704          	jreq	L05
1509  0103               L25:
1510  0103 48            	sll	a
1511  0104 5a            	decw	x
1512  0105 26fc          	jrne	L25
1513  0107               L05:
1514  0107 6b01          	ld	(OFST-1,sp),a
1515                     ; 389     itmask1 = (u8)((u8)SPI_IT >> (u8)4);
1517  0109 7b03          	ld	a,(OFST+1,sp)
1518  010b 4e            	swap	a
1519  010c a40f          	and	a,#15
1520  010e 6b02          	ld	(OFST+0,sp),a
1521                     ; 391     itmask2 = (u8)((u8)1 << itmask1);
1523  0110 7b02          	ld	a,(OFST+0,sp)
1524  0112 5f            	clrw	x
1525  0113 97            	ld	xl,a
1526  0114 a601          	ld	a,#1
1527  0116 5d            	tnzw	x
1528  0117 2704          	jreq	L45
1529  0119               L65:
1530  0119 48            	sll	a
1531  011a 5a            	decw	x
1532  011b 26fc          	jrne	L65
1533  011d               L45:
1534  011d 6b02          	ld	(OFST+0,sp),a
1535                     ; 393     enablestatus = (u8)((u8)SPI->SR & itmask2);
1537  011f c65203        	ld	a,20995
1538  0122 1402          	and	a,(OFST+0,sp)
1539  0124 6b02          	ld	(OFST+0,sp),a
1540                     ; 395     if (((SPI->ICR & itpos) != RESET) && enablestatus)
1542  0126 c65202        	ld	a,20994
1543  0129 1501          	bcp	a,(OFST-1,sp)
1544  012b 270a          	jreq	L766
1546  012d 0d02          	tnz	(OFST+0,sp)
1547  012f 2706          	jreq	L766
1548                     ; 398         pendingbitstatus = SET;
1550  0131 a601          	ld	a,#1
1551  0133 6b02          	ld	(OFST+0,sp),a
1553  0135 2002          	jra	L176
1554  0137               L766:
1555                     ; 403         pendingbitstatus = RESET;
1557  0137 0f02          	clr	(OFST+0,sp)
1558  0139               L176:
1559                     ; 406     return  pendingbitstatus;
1561  0139 7b02          	ld	a,(OFST+0,sp)
1564  013b 5b03          	addw	sp,#3
1565  013d 81            	ret
1610                     ; 424 void SPI_ClearITPendingBit(SPI_IT_TypeDef SPI_IT)
1610                     ; 425 {
1611                     	switch	.text
1612  013e               _SPI_ClearITPendingBit:
1614  013e 88            	push	a
1615       00000001      OFST:	set	1
1618                     ; 426     u8 itpos = 0;
1620                     ; 427     assert_param(IS_SPI_CLEAR_IT_OK(SPI_IT));
1622                     ; 432     itpos = (u8)((u8)1 << (((u8)SPI_IT & (u8)0xF0) >> 4));
1624  013f a4f0          	and	a,#240
1625  0141 4e            	swap	a
1626  0142 a40f          	and	a,#15
1627  0144 5f            	clrw	x
1628  0145 97            	ld	xl,a
1629  0146 a601          	ld	a,#1
1630  0148 5d            	tnzw	x
1631  0149 2704          	jreq	L26
1632  014b               L46:
1633  014b 48            	sll	a
1634  014c 5a            	decw	x
1635  014d 26fc          	jrne	L46
1636  014f               L26:
1637  014f 6b01          	ld	(OFST+0,sp),a
1638                     ; 434     SPI->SR = (u8)(~itpos);
1640  0151 7b01          	ld	a,(OFST+0,sp)
1641  0153 43            	cpl	a
1642  0154 c75203        	ld	20995,a
1643                     ; 436 }
1646  0157 84            	pop	a
1647  0158 81            	ret
1660                     	xdef	_SPI_ClearITPendingBit
1661                     	xdef	_SPI_GetITStatus
1662                     	xdef	_SPI_ClearFlag
1663                     	xdef	_SPI_GetFlagStatus
1664                     	xdef	_SPI_BiDirectionalLineConfig
1665                     	xdef	_SPI_GetCRCPolynomial
1666                     	xdef	_SPI_ResetCRC
1667                     	xdef	_SPI_GetCRC
1668                     	xdef	_SPI_CalculateCRCCmd
1669                     	xdef	_SPI_TransmitCRC
1670                     	xdef	_SPI_NSSInternalSoftwareCmd
1671                     	xdef	_SPI_ReceiveData
1672                     	xdef	_SPI_SendData
1673                     	xdef	_SPI_ITConfig
1674                     	xdef	_SPI_Cmd
1675                     	xdef	_SPI_Init
1676                     	xdef	_SPI_DeInit
1695                     	end
